
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #335

ffaudio is used instead of vorbis plugin, does not display tag data

August 26, 2013 10:08 - Götz Waschk

Status: Closed Start date: August 26, 2013

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4.1   

Affects version: 3.4   

Description

This is with audacious 3.4 on Mageia 3. Unless I disable the ffaudio plugin, it is used for Ogg files and it doesn't read the vorbis tag

metadata. The vorbis plugin is working as expected. ffaudio is linked to ffmpeg 1.1.5.

$ audacious V "/home/goetz/Musik/Joy Division - Substance/01_Warsaw.ogg" &

[1] 23054

main.c:572 [main]: No remote session; starting up.

[goetz@virginterminator kahvi336_planet_boelex-exist_(ogg)]$ main.c:462 [init_two]: Loading configuration.

main.c:465 [init_two]: Initializing.

main.c:478 [init_two]: Loading lowlevel plugins.

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/neon.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/mms.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/gio.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Transport/unix-io.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vorbis.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/metronom.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/psf2.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/flacng.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/cdaudio-ng.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/amidi-plug.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/aac.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/ffaudio.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/xsf.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/tonegen.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/console.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/madplug.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/vtx.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/modplug.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sid.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Input/sndfile.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/filewriter.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/sdlout.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/alsa.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Output/pulse_audio.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/bs2b.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/compressor.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/speed-pitch.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/echo.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/voice_removal.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crossfade.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/crystalizer.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/mixer.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/resample.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/ladspa.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Effect/stereo.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lirc.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/hotkey.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/cd-menu-items.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/skins.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/mpris2.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/song_change.so
plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/search-tool.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/alarm.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/notify.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/statusicon.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/albumart.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gtkui.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/scrobbler.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/aosd.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/gnomeshortcuts.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/General/lyricwiki.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/gl-spectrum.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/blur_scope.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Visualization/cairo-spectrum.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/m3u.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/pls.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/audpl.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/xspf.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/cue.so

plugin-registry.c:551 [plugin_register]: Register plugin: /usr/lib64/audacious/Container/asx.so

plugin-init.c:115 [start_multi_cb]: Starting Bauer Stereofonisch-zu-Binaural (BS2B).

plugin-init.c:85 [start_single]: Starting selected output plugin PulseAudio Ausgabe.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Output/pulse_audio.so.

main.c:481 [init_two]: Starting worker threads.

main.c:485 [init_two]: Restoring state.

playlist-files.c:63 [playlist_load]: Loading playlist file:///home/goetz/.config/audacious/playlists/1001.audpl.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Container/audpl.so.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Transport/unix-io.so.

VFS: <0x1608240> open (mode r) file:///home/goetz/.config/audacious/playlists/1001.audpl

VFS: <0x1608240> close

main.c:490 [init_two]: Loading highlevel plugins.

plugin-init.c:115 [start_multi_cb]: probe.c:164 [file_find_decoder]: Probing file:///home/goetz/Musik/Joy%20Division%20

%20Substance/01_Warsaw.ogg.

probe.c:120 [probe_by_scheme]: Probing by scheme.

probe.c:134 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: Guessing Ogg Vorbis Dekodierer.

probe.c:62 [probe_func]: Trying Ogg Vorbis Dekodierer.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/vorbis.so.

probe.c:49 [check_opened]: Opening file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg.

VFS: <0x1608920> open (mode r) file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg

VFS: <0x1608920> size = 3730226

VFS: <0x1608940> size = 16384

VFS: <0x1608940> seek to 0 from current

VFS: <0x1608940> seek to 0 from beginning

probe.c:108 [probe_func_fast]: Guessing FFmpeg Plugin.

VFS: <0x1608940> close

VFS: <0x1608920> close

Starting Audio-CD Menu-Einträge.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/cd-menu-items.so.

plugin-init.c:115 [start_multi_cb]: Starting Desktop-Benachrichtigungen.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/notify.so.

plugin-init.c:115 [start_multi_cb]: Starting MPRIS 2 Server.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/mpris2.so.

plugin-init.c:115 [start_multi_cb]: Starting Scrobbler 2.0.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/scrobbler.so.

plugin-init.c:85 [start_single]: Starting selected interface plugin GTK Interface.

interface.c:247 [iface_plugin_set_current]: Loading GTK Interface.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/General/gtkui.so.

ui_gtk.c:850 [init]: hooks associate

ui_gtk.c:853 [init]: playlist associate

interface.c:254 [iface_plugin_set_current]: Loading visualizers.

interface.c:257 [iface_plugin_set_current]: Loading plugin widgets.

general.c:50 [general_load]: Loading Audio-CD Menu-Einträge.

general.c:50 [general_load]: Loading Desktop-Benachrichtigungen.

general.c:50 [general_load]: Loading MPRIS 2 Server.

general.c:50 [general_load]: Loading Scrobbler 2.0.

dbus.c:177 [init_dbus]: Trying to initialize D-Bus.

dbus.c:94 [audacious_rc_init]: Registering remote D-Bus interfaces.
dbus.c:148 [mpris_player_init]: object->proxy  NULL; not adding some signals.

dbus.c:168 [mpris_tracklist_init]: object->proxy  NULL, not adding some signals.

main.c:575 [main]: Startup complete.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Input/ffaudio.so.

probe.c:164 [file_find_decoder]: Probing file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg.

probe.c:120 [probe_by_scheme]: Probing by scheme.

probe.c:134 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: Guessing Ogg Vorbis Dekodierer.

probe.c:62 [probe_func]: Trying Ogg Vorbis Dekodierer.

probe.c:49 [check_opened]: Opening file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg.

VFS: <0x16f4940> open (mode r) file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg

ffaudio-core.c:140 [get_format_by_extension]: Get format by extension:

file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg

VFS: <0x16f1080> open (mode r) file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg

VFS: <0x16f1080> size = 3730226

VFS: <0x16f64c0> size = 16384

VFS: <0x16f64c0> seek to 0 from current

VFS: <0x16f64c0> seek to 0 from beginning

probe.c:108 [probe_func_fast]: Guessing FFmpeg Plugin.

VFS: <0x16f64c0> close

VFS: <0x16f1080> close

ffaudio-core.c:150 [get_format_by_extension]: Format ogg.

VFS: <0x16f4940> size = 3730226

VFS: <0x16f4940> seek to 3664919 from beginning

VFS: <0x16f4940> tell = 3664919

VFS: <0x16f4940> seek to 42362 from beginning

VFS: <0x16f4940> tell = 42362

VFS: <0x16f4940> seek to 37714 from beginning

VFS: <0x16f4940> tell = 37714

VFS: <0x16f4940> size = 3730226

VFS: (last message repeated 2 times)

VFS: <0x16f4940> rewind

VFS: <0x16f4940> seek to 0 from beginning

VFS: (last message repeated 1 times)

VFS: <0x16f4940> size = 3730226

VFS: <0x16f4940> seek to 3730216 from beginning

VFS: <0x16f4940> seek to 0 from beginning

VFS: (last message repeated 3 times)

VFS: <0x16f4940> seek to 32 from end

ape/ape.c:156 [ape_find_header]: No header found.

VFS: <0x16f4940> seek to 0 from beginning

VFS: <0x16f4940> seek to -128 from end

tag_module.c:66 [find_tag_module]: no module found

VFS: <0x16f4940> close

VFS: <0x16f8020> open (mode r) file:///home/goetz/Musik/Joy%20Division%20%20Substance/01_Warsaw.ogg

ffaudio-core.c:404 [ffaudio_play]: Playing file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg.

ffaudio-core.c:140 [get_format_by_extension]: Get format by extension:

file:///home/goetz/Musik/Joy%20Division%20-%20Substance/01_Warsaw.ogg

ffaudio-core.c:150 [get_format_by_extension]: Format ogg.

VFS: <0x16f8020> size = 3730226

VFS: <0x16f8020> seek to 3664919 from beginning

VFS: <0x16f8020> tell = 3664919

VFS: <0x16f8020> seek to 42362 from beginning

VFS: <0x16f8020> tell = 42362

VFS: <0x16f8020> seek to 37714 from beginning

VFS: <0x16f8020> tell = 37714

VFS: <0x16f8020> size = 3730226

ffaudio-core.c:446 [ffaudio_play]: got codec vorbis for stream index 0, opening

ffaudio-core.c:471 [ffaudio_play]: opening audio output

effect.c:68 [effect_start]: Starting effects.

effect.c:48 [effect_start_cb]: Starting Bauer Stereofonisch-zu-Binaural (BS2B) at 2 channels, 44100 Hz.

pluginenum.c:63 [plugin_load]: Loading plugin: /usr/lib64/audacious/Effect/bs2b.so.

output.c:349 [output_set_replaygain_info]: Replay Gain info:

output.c:350 [output_set_replaygain_info]:  album gain: 0,000000 dB

output.c:351 [output_set_replaygain_info]:  album peak: 0,000000

output.c:352 [output_set_replaygain_info]:  track gain: 0,000000 dB

output.c:353 [output_set_replaygain_info]:  track peak: 0,000000
ffaudio-core.c:481 [ffaudio_play]: setting parameters

VFS: (last message repeated 2 times)

VFS: <0x16f8140> open (mode rb) file:///home/goetz/Musik/Joy%20Division%20-%20Substance/album.jpg

VFS: <0x16f8140> size = 25139

VFS: <0x16f8140> close

main.c:504 [shut_down]: Saving playlist state.

playlist-files.c:123 [playlist_save]: Saving playlist file:///home/goetz/.config/audacious/playlists/1001.audpl.

VFS: <0x16eba20> open (mode w) file:///home/goetz/.config/audacious/playlists/1001.audpl

VFS: <0x16eba20> write 29 elements of size 1 = 29

VFS: <0x16eba20> write 74 elements of size 1 = 74

VFS: <0x16eba20> write 14 elements of size 1 = 14

VFS: <0x16eba20> write 13 elements of size 1 = 13

VFS: <0x16eba20> write 12 elements of size 1 = 12

VFS: <0x16eba20> close

main.c:507 [shut_down]: Unloading highlevel plugins.

plugin-init.c:188 [stop_plugins]: Shutting down GTK Interface.

interface.c:233 [iface_plugin_set_current]: Unloading plugin widgets.

general.c:80 [general_unload]: Unloading Scrobbler 2.0.

general.c:80 [general_unload]: Unloading MPRIS 2 Server.

general.c:80 [general_unload]: Unloading Desktop-Benachrichtigungen.

general.c:80 [general_unload]: Unloading Audio-CD Menu-Einträge.

interface.c:236 [iface_plugin_set_current]: Unloading visualizers.

interface.c:239 [iface_plugin_set_current]: Unloading GTK Interface.

plugin-init.c:173 [stop_multi_cb]: Shutting down Audio-CD Menu-Einträge.

plugin-init.c:173 [stop_multi_cb]: Shutting down Desktop-Benachrichtigungen.

plugin-init.c:173 [stop_multi_cb]: Shutting down MPRIS 2 Server.

plugin-init.c:173 [stop_multi_cb]: Shutting down Scrobbler 2.0.

main.c:514 [shut_down]: Stopping playback.

VFS: <0x16f8020> close

main.c:518 [shut_down]: Stopping worker threads.

main.c:522 [shut_down]: Unloading lowlevel plugins.

plugin-init.c:188 [stop_plugins]: Shutting down PulseAudio Ausgabe.

plugin-init.c:173 [stop_multi_cb]: Shutting down Bauer Stereofonisch-zu-Binaural (BS2B).

main.c:525 [shut_down]: Saving configuration.

main.c:529 [shut_down]: Cleaning up.

History

#1 - August 26, 2013 10:10 - Götz Waschk

- File log.txt added

#2 - August 26, 2013 18:21 - John Lindgren

This should be fixed already in the Git version.  Please test.

#3 - August 27, 2013 10:07 - Götz Waschk

I can confirm that is fixed by f46148ffe77ce73caf6c8a58ffda6ef5c54a8e5a on the 3.4.x branch. I still wonder why ffaudio is used instead of vorbis for

Ogg files.

#4 - August 28, 2013 03:15 - John Lindgren

Well, that was not the fix I had in mind.  I had hoped that 

https://github.com/audacious-media-player/audacious/commit/5ddfdd16785c6ca09c1c69d9bf20e842de76b94f would allow the Vorbis plugin to detect

the format correctly.

#5 - August 28, 2013 08:51 - Götz Waschk

I can confirm that the mentioned patch allows audacious to use the vorbis plugin after probing my test file.

#6 - August 29, 2013 00:10 - John Lindgren

- Category changed from plugins/ffaudio to core

- Status changed from New to Closed
- Target version set to 3.4.1

- % Done changed from 0 to 100

In that case, this is a duplicate of #332.

Files

log.txt 14.6 KB August 26, 2013 Götz Waschk
